# Interface methods for submodule: PCAShapeSignedDistanceFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ShapeSignedDistanceFunctionProxy as _ShapeSignedDistanceFunctionProxy


# Interface methods for class: PCAShapeSignedDistanceFunction
class PCAShapeSignedDistanceFunctionProxy(_ShapeSignedDistanceFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetNumberOfPrincipalComponents(self, n: int) -> None:
		""""""
		...

	def GetNumberOfPrincipalComponents(self) -> int:
		""""""
		...

	def SetMeanImage(self, _arg) -> None:
		""""""
		...

	def GetModifiableMeanImage(self):
		""""""
		...

	def GetMeanImage(self):
		""""""
		...

	def SetPrincipalComponentImages(self, v) -> None:
		""""""
		...

	def SetPrincipalComponentStandardDeviations(self, _arg) -> None:
		""""""
		...

	def GetPrincipalComponentStandardDeviations(self):
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetModifiableTransform(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetParameters(self, arg0) -> None:
		""""""
		...

	def GetNumberOfShapeParameters(self) -> int:
		""""""
		...

	def GetNumberOfPoseParameters(self) -> int:
		""""""
		...

	def Evaluate(self, point: Sequence[float]) -> float:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

